from django.contrib import admin

from ..models.tutorial import TutorialTranslation, Tutorial, TutorialSteps


class TranslationTutorialInline(admin.TabularInline):
    model = TutorialTranslation
    fields = ('language_code', 'tutorial_text', 'error_text')
    extra = 0


class TutorialStepsAdmin(admin.ModelAdmin):
    list_display = ('tutorial', 'step',)
    list_filter = ('tutorial',)
    fields = ('tutorial', 'step', "tutorial_text", "error_text", "check_text","condition", "parent")

    inlines = [
        TranslationTutorialInline,
    ]


class TutorialAdmin(admin.ModelAdmin):
    list_display = ('name',)
    fields = ('name',)


admin.site.register(Tutorial, TutorialAdmin)
admin.site.register(TutorialSteps, TutorialStepsAdmin)
admin.autodiscover()
